SMAO API Documentation

List assignable plans

Returns plans that may be assigned to distributor-managed MSP and customer organizations.

GET
/plans
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.smao.ai/api/distributor/v2/plans"
{
  "status": "success",
  "count": 0,
  "plans": [
    {
      "id": "string",
      "slug": "string",
      "name": "string",
      "commitment": "none",
      "currency": "string",
      "baseFee": 0,
      "tier": 0,
      "usage": [
        {
          "service": "string",
          "included": 0,
          "costPerUnit": 0
        }
      ]
    }
  ]
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}

{
  "status": "error",
  "errorCode": "RATE_LIMITED",
  "message": "Too many requests for this API key."
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}

{
  "status": "error",
  "errorCode": "RATE_LIMIT_UNAVAILABLE",
  "message": "Rate limit storage is unavailable. Try again later."
}